package com.ltgk.common.enums;


import com.ltgk.common.utils.enums.CodeDescEnumInterface;
import lombok.Getter;

/**
 * 应急管理模块-专业知识记录对象-知识类别枚举类
 *
 * @author Qi ChengBin
 * @date 2025/02/11
 */
@Getter
public enum EmKnowledgeRecordCategoryEnums implements CodeDescEnumInterface {
    MEDICAL_RESCUE(0, "医疗救援"),
    EMERGENCY_RESCUE(1, "急救技巧");

    private final Integer code;
    private final String desc;

    EmKnowledgeRecordCategoryEnums(Integer code, String desc) {
        this.code = code;
        this.desc = desc;
    }
}
